Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface TableSource

    public interface TableSource

Contract describing source of table information

Method Summary
`String` | `getExplicitCatalogName()` Obtain the supplied catalog name
`String` | `getExplicitSchemaName()` Obtain the supplied schema name
`String` | `getExplicitTableName()` Obtain the supplied table name.
`String` | `getLogicalName()` Obtain the logical name of the table.

Method Detail

### getExplicitSchemaName

    String getExplicitSchemaName()

  Obtain the supplied schema name

  Returns:
    The schema name. If `null`, the binder will apply the default.

### getExplicitCatalogName

    String getExplicitCatalogName()

  Obtain the supplied catalog name

  Returns:
    The catalog name. If `null`, the binder will apply the default.

### getExplicitTableName

    String getExplicitTableName()

  Obtain the supplied table name.

  Returns:
    The table name.

### getLogicalName

    String getLogicalName()

  Obtain the logical name of the table. This value is used to uniquely reference the table when binding values to the binding model.

  Returns:
    The logical name. Can be `null` in the case of the "primary table".
  See Also:
    `RelationalValueSource.getContainingTableName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.